5.1.4.3.1. Check Existence (General Components)
Prev | 5.1.4.3. Check Existence | Next

#### 5.1.4.3.1. Check Existence (General Components)

Check Existence

- Use this action to check the existence of a component within the application.

- If timeout is set, the test waits until the component is present/invisible in the given time before continuing with the next Test Step.

- Parameters:

  - Exists

  - Timeout in Millisecs

Check Existence of Context Menu by Indexpath

- Use this action to check whether an item in a context menu exists.

- The item to check is given using the indexpath to the item.

- Parameters:

  - Indexpath

  - Mouse Button

  - Exists

  - Timeout in Millisecs

Check Existence of Context Menu by Indexpath (Specify Position)

- Use this action to check whether an item in a context menu exists.

- The item to check is given using the indexpath to the item.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - Indexpath

  - Exists

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Mouse Button

  - Timeout in Millisecs

Check Existence of Context Menu by Textpath

- Use this action to check the existence of an item in a context menu.

- The item to check is given using the textpath to the item.

- Parameters:

  - Textpath

  - Operator

  - Mouse Button

  - Exists

  - Timeout in Millisecs

Check Existence of Context Menu by Textpath (Specify Position)

- Use this action to check whether an item in a context menu exists.

- The item to check is given using the textpath to the item.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - Textpath

  - Operator

  - Exists

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Mouse Button

  - Timeout in Millisecs